'use strict';

var _electron = require('electron');

var _electron2 = _interopRequireDefault(_electron);

var _createWindow = require('./createWindow');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_electron.app.on('ready', _createWindow.createWindow); // main.js

_electron.app.on('window-all-closed', function () {
  if (process.platform !== 'darwin') {
    _electron.app.quit();
  }
});

_electron.app.on('activate', function () {
  if (_createWindow.mainWindow === null) {
    (0, _createWindow.createWindow)();
  }
});