'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setJsonDataSync = setJsonDataSync;

var _electron = require('electron');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function setJsonDataSync(key, json, callback) {
  var strJson = JSON.stringify(json);
  var fileName = _path2.default.join(_path2.default.join(_electron.app.getPath('userData'), 'storage'), key + '.json');

  _fs2.default.writeFileSync(fileName, strJson, function (error) {
    return callback(error);
  });
}